package com.pcloud.book.group.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/17 14:10
 */
@ApiModel
public class ListAllClassifyParamVO  implements Serializable {

    @ApiModelProperty("当前页")
    private Integer currentPage;

    @ApiModelProperty("每页条数")
    private Integer numPerPage;

    @ApiModelProperty("图书群标识")
    private Long bookGroupId;

    @ApiModelProperty("分类名称")
    private String classify;

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    @Override
    public String toString() {
        return "ListAllClassifyParamVO{" +
                "currentPage=" + currentPage +
                ", numPerPage=" + numPerPage +
                ", bookGroupId=" + bookGroupId +
                ", classify='" + classify + '\'' +
                '}';
    }
}
